aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2023-04-19 00:37:51 +0300
committerGitHub <noreply@github.com>2023-04-19 00:37:51 +0300
commitfad03b19d48466bb0eec41ccbf4cc456a5c4dea7 (patch)
tree63e883beb47ac7d40dd2e2f073cd478e54c2f1a3 /test
parent2237731474ace274b1756e63937a958131cf719e (diff)
Oryx - Switch to .NET 7 (#522)feature_oryx_1.1.0
* Oryx - Switch to .NET 7 * fix test ; add test * fix test - back compat
Diffstat (limited to 'test')
-rw-r--r--test/oryx/install_prev_dotnet_and_oryx.sh47
-rw-r--r--test/oryx/scenarios.json10
2 files changed, 57 insertions, 0 deletions
diff --git a/test/oryx/install_prev_dotnet_and_oryx.sh b/test/oryx/install_prev_dotnet_and_oryx.sh
new file mode 100644
index 0000000..1754828
--- /dev/null
+++ b/test/oryx/install_prev_dotnet_and_oryx.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "Oryx version" oryx --version
+check "Dotnet is not removed if it is not installed by the Oryx Feature" dotnet --version
+
+# Install platforms with oryx build tool
+check "oryx-install-dotnet-2.1" oryx prep --skip-detection --platforms-and-versions dotnet=2.1.30
+check "dotnet-2-installed-by-oryx" ls /opt/dotnet/ | grep 2.1
+
+check "oryx-install-nodejs-12.22.11" oryx prep --skip-detection --platforms-and-versions nodejs=12.22.11
+check "nodejs-12.22.11-installed-by-oryx" ls /opt/nodejs/ | grep 12.22.11
+
+check "oryx-install-php-7.3.25" oryx prep --skip-detection --platforms-and-versions php=7.3.25
+check "php-7.3.25-installed-by-oryx" ls /opt/php/ | grep 7.3.25
+
+check "oryx-install-java-12.0.2" oryx prep --skip-detection --platforms-and-versions java=12.0.2
+check "java-12.0.2-installed-by-oryx" ls /opt/java/ | grep 12.0.2
+
+# Replicates Oryx's behavior for universal image
+mkdir -p /opt/oryx
+echo "vso-focal" >> /opt/oryx/.imagetype
+
+mkdir -p /opt/dotnet/lts
+cp -R /usr/local/dotnet/current/dotnet /opt/dotnet/lts
+cp -R /usr/local/dotnet/current/LICENSE.txt /opt/dotnet/lts
+cp -R /usr/local/dotnet/current/ThirdPartyNotices.txt /opt/dotnet/lts
+
+# Install platforms with oryx build tool
+check "oryx-install-dotnet-2.1-universal" oryx prep --skip-detection --platforms-and-versions dotnet=2.1.30
+check "dotnet-2-installed-by-oryx-universal" ls /opt/dotnet/ | grep 2.1
+
+check "oryx-install-nodejs-12.22.11-universal" oryx prep --skip-detection --platforms-and-versions nodejs=12.22.11
+check "nodejs-12.22.11-installed-by-oryx-universal" ls /opt/nodejs/ | grep 12.22.11
+
+check "oryx-install-php-7.3.25-universal" oryx prep --skip-detection --platforms-and-versions php=7.3.25
+check "php-7.3.25-installed-by-oryx-universal" ls /opt/php/ | grep 7.3.25
+
+check "oryx-install-java-12.0.2-universal" oryx prep --skip-detection --platforms-and-versions java=12.0.2
+check "java-12.0.2-installed-by-oryx-universal" ls /opt/java/ | grep 12.0.2
+
+# Report result
+reportResults
diff --git a/test/oryx/scenarios.json b/test/oryx/scenarios.json
index bbfc277..c61483e 100644
--- a/test/oryx/scenarios.json
+++ b/test/oryx/scenarios.json
@@ -3,6 +3,16 @@
"image": "ubuntu:focal",
"features": {
"dotnet": {
+ "version": "7",
+ "installUsingApt": "false"
+ },
+ "oryx": {}
+ }
+ },
+ "install_prev_dotnet_and_oryx": {
+ "image": "ubuntu:focal",
+ "features": {
+ "dotnet": {
"version": "6",
"installUsingApt": "false"
},